package jp.ac.nii.icpc2010;

/**
 * Every player is represented by a tron on the playing field.
 * @author johan
 *
 */
public interface ITron {

	/**
	 * Get the current X position of this tron.
	 * @return
	 */
	public int getX();

	/**
	 * Get the current Y position of this tron.
	 * @return
	 */
	public int getY();

	/**
	 * Get the ID of this tron.
	 * @return
	 */
	public int getPlayerId();

	/**
	 * Get the number of coins that this tron has collected.
	 * @return
	 */
	public int getCoins();

}